net.sf.jasperreports.charts

## Interface JRCategoryPlot

- All Superinterfaces:
    java.lang.Cloneable, JRCategoryAxisFormat, JRChartPlot, JRCloneable, JRValueAxisFormat
  All Known Subinterfaces:
    JRAreaPlot, JRBar3DPlot, JRBarPlot, JRLinePlot
  All Known Implementing Classes:
    JRBaseAreaPlot, JRBaseBar3DPlot, JRBaseBarPlot, JRBaseLinePlot, JRDesignAreaPlot, JRDesignBar3DPlot, JRDesignBarPlot, JRDesignLinePlot, JRFillAreaPlot, JRFillBar3DPlot, JRFillBarPlot, JRFillLinePlot

      public interface JRCategoryPlot
      extends JRChartPlot, JRCategoryAxisFormat, JRValueAxisFormat

  Type of plot used for rendering category charts.
  Version:
    $Id: JRCategoryPlot.java 6995 2014-04-01 11:26:53Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.charts.JRCategoryAxisFormat

      `PROPERTY_CATEGORY_AXIS_TICK_LABEL_ROTATION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRExpression` | `getCategoryAxisLabelExpression()`
    `JRExpression` | `getDomainAxisMaxValueExpression()`
    `JRExpression` | `getDomainAxisMinValueExpression()`
    `JRExpression` | `getRangeAxisMaxValueExpression()`
    `JRExpression` | `getRangeAxisMinValueExpression()`
    `JRExpression` | `getValueAxisLabelExpression()`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.charts.JRCategoryAxisFormat

      `getCategoryAxisLabelColor, getCategoryAxisLabelFont, getCategoryAxisLineColor, getCategoryAxisTickLabelColor, getCategoryAxisTickLabelFont, getCategoryAxisTickLabelMask, getCategoryAxisTickLabelRotation, getCategoryAxisVerticalTickLabels, getOwnCategoryAxisLabelColor, getOwnCategoryAxisLineColor, getOwnCategoryAxisTickLabelColor, setCategoryAxisTickLabelRotation`

    - ### Methods inherited from interface net.sf.jasperreports.charts.JRValueAxisFormat

      `getOwnValueAxisLabelColor, getOwnValueAxisLineColor, getOwnValueAxisTickLabelColor, getValueAxisLabelColor, getValueAxisLabelFont, getValueAxisLineColor, getValueAxisTickLabelColor, getValueAxisTickLabelFont, getValueAxisTickLabelMask, getValueAxisVerticalTickLabels`

- - ### Method Detail

    - #### getCategoryAxisLabelExpression

          JRExpression getCategoryAxisLabelExpression()

      Returns:
        the category axis label expression

    - #### getValueAxisLabelExpression

          JRExpression getValueAxisLabelExpression()

      Returns:
        the value axis label expression

    - #### getDomainAxisMinValueExpression

          JRExpression getDomainAxisMinValueExpression()

      Returns:
        the minimum value expression for the domain axis

    - #### getDomainAxisMaxValueExpression

          JRExpression getDomainAxisMaxValueExpression()

      Returns:
        the maximum value expression for the domain axis

    - #### getRangeAxisMinValueExpression

          JRExpression getRangeAxisMinValueExpression()

      Returns:
        the minimum value expression for the range axis

    - #### getRangeAxisMaxValueExpression

          JRExpression getRangeAxisMaxValueExpression()

      Returns:
        the maximum value expression for the range axis

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com